# WebServer6.py

from oxocardext import *
from tcpcom import *

html = """<!DOCTYPE html>
<html>
  <head>
    <title>Oxocard Color Controller</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script>
      function showText(color, value) 
      {
        switch(color)
        {
          case 0:
            document.forms[0].redtext.value = value; break;
          case 1:
            document.forms[0].greentext.value = value; break;
          case 2:
            document.forms[0].bluetext.value = value; break;
        }        
      }

      function submitValues(color, value)
      {
        document.forms[0].submit();
      }
    </script>
  </head>
  <body>
     <h3>Welcome To The Color Controller</h3>
     <b>Drag to change colors </b>
     <p>
     <form method="get">
        Red:<br>
        <input type="range" min="0" max="100" value="%s"
        oninput="showText(0, value)" onchange="submitValues(0, value)">
        <input size="5" name="redtext" value="%s"><br>              
         
        Green:<br>
        <input type="range" min="0" max="100" value="%s"
        oninput="showText(1, value)" onchange="submitValues(1, value)">
        <input size="5" name="greentext" value="%s"><br>              
         
        Blue:<br> 
        <input type="range" min="0" max="100" value="%s"
        oninput="showText(2, value)" onchange="submitValues(2, value)">
        <input size="5" name="bluetext" value="%s">              
     </form></p>
  </body>
</html>
"""

def onRequest(clientIP, filename, params):
    global r, g, b
    if len(params) > 0:
        r = int(params[0][1])
        g = int(params[1][1])
        b = int(params[2][1])
        print(r, g, b)
    return html%(r, r, g, g, b, b)

r = g = b = 100
oldR = oldG = oldB = 0

if not Wlan.connect("raspi", "112211221122"):
    print("Connection to AP failed")
else:
    print("Successfully connected to AP. IP:", Wlan.getMyIPAddress())
    HTTPServer(requestHandler = onRequest)
    while True:
        if r != oldR or g != oldG or b != oldB:
            fillRectangle(2, 2, 4, 4, (r, g, b))
            oldR = r
            oldG = g
            oldB = b
        sleep(1)
